Get routing rule version history
GET
https://api.vercel.com/v1/projects/{projectId}/routes/versionsGet the version history for a project's routing rules. Returns the staging version (if one exists) followed by production versions, most recent first. The staging version has
isStaging: true and the current production version has isLive: true.https://api.vercel.com/v1/projects/{projectId}/routes/versions
const response = await fetch('https://api.vercel.com/v1/projects/projectId/routes/versions?teamId=string&slug=string', { method: 'GET', headers: { 'Authorization': 'Bearer YOUR_ACCESS_TOKEN', 'Content-Type': 'application/json', },});
const data = await response.json();console.log(data);Response
{ "versions": [ { "alias": "string", "createdBy": "string", "id": "icfg_1234567890", "isLive": "false", "isStaging": "false", "lastModified": "123", "ruleCount": "123", "s3Key": "string" } ]}AuthorizationbearerToken
Default authentication mechanism